Skip to content
Get started

Get user market portfolio

GET/api/v1/users/{address}/markets

Get user market portfolio

Path ParametersExpand Collapse
address: string

The user account address

Query ParametersExpand Collapse
with_text: optional boolean

Include text variation fields

with_value: optional boolean

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
data: UserMarket { borrow, lend }
borrow: UserBorrowMarket { accounts, totals }

Overview of user borrowing portfolio

accounts: array of UserBorrowMarketAccount { collaterals, debts, debts_net_rate, 2 more }

Market sub-accounts for the user

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
health: UserAccountHealth { base, boost, extra, result }

Health data for this account

base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: object { text }
text: object { base, boost, result }

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

index: number

Account index

formatuint8
minimum0
maximum255
totals: UserBorrowMarketPools { collaterals, debts, debts_net_rate }

Collateral/debt totals of all sub-accounts by asset

collaterals: array of UserCollateralAssetPool { amount, asset_info, extra }

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { amount }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: array of UserDebtAssetPool { asset_info, extra, market_rate, 2 more }

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: object { text, value }
text: object { principal, shares }

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: object { extra, price, principal, shares }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, principal, shares }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
lend: UserLendMarket { asset_pools, net_rate }

Overview of user lending portfolio

asset_pools: array of UserLendAssetPool { asset_info, market_rate, origin_equivalent, receipt_amounts }

User lending allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate { apr, apy, extra }

Current market lending rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: object { text }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: object { text, value }
text: object { collateralized, held, total }

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: object { collateralized, extra, held, 2 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: object { text }
text: object { collateralized, held, price, total }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: object { text }
text: object { apr, apy }

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
error: unknown

Error data. Guaranteed null for successful response.

status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

Get user market portfolio

curl https://api-v2.nept.finance/api/v1/users/$ADDRESS/markets
{
  "data": {
    "borrow": {
      "accounts": [
        {
          "index": 0,
          "collaterals": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "amount": "920380558505833997007",
              "extra": {
                "text": {
                  "amount": "920.3805 INJ"
                },
                "value": {
                  "price": "2.99835",
                  "amount": "2759.623047595967364925",
                  "extra": {
                    "text": {
                      "amount": "$2,759.62",
                      "price": "$2.99"
                    }
                  }
                }
              }
            }
          ],
          "debts": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "market_rate": {
                "apr": "0.10742845",
                "apy": "0.11341119",
                "extra": {
                  "text": {
                    "apy": "11.34%",
                    "apr": "10.74%"
                  }
                }
              },
              "principal": "444725506597269050309",
              "shares": "444725506597269050309",
              "extra": {
                "text": {
                  "principal": "444.7255 INJ",
                  "shares": "444.7255 INJ"
                },
                "value": {
                  "shares": "1333.442722705921656993",
                  "price": "2.99835",
                  "principal": "1333.442722705921656993",
                  "extra": {
                    "text": {
                      "shares": "$1,333.44",
                      "price": "$2.99",
                      "principal": "$1,333.44"
                    }
                  }
                }
              }
            }
          ],
          "debts_net_rate": {
            "apr": "0.107428449999999999",
            "apy": "0.113411189999999999",
            "extra": {
              "text": {
                "apy": "11.34%",
                "apr": "10.74%"
              }
            }
          },
          "health": {
            "base": "3.56",
            "boost": "1",
            "result": "3.56",
            "extra": {
              "text": {
                "base": "3.56",
                "boost": "0.00%",
                "result": "3.56"
              }
            }
          }
        }
      ],
      "totals": {
        "collaterals": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "amount": "920380558505833997007",
            "extra": {
              "text": {
                "amount": "920.3805 INJ"
              },
              "value": {
                "price": "2.99835",
                "amount": "2759.623047595967364925",
                "extra": {
                  "text": {
                    "amount": "$2,759.62",
                    "price": "$2.99"
                  }
                }
              }
            }
          }
        ],
        "debts": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "market_rate": {
              "apr": "0.10742845",
              "apy": "0.11341119",
              "extra": {
                "text": {
                  "apy": "11.34%",
                  "apr": "10.74%"
                }
              }
            },
            "principal": "444725506597269050309",
            "shares": "444725506597269050309",
            "extra": {
              "text": {
                "principal": "444.7255 INJ",
                "shares": "444.7255 INJ"
              },
              "value": {
                "shares": "1333.442722705921656993",
                "price": "2.99835",
                "principal": "1333.442722705921656993",
                "extra": {
                  "text": {
                    "shares": "$1,333.44",
                    "price": "$2.99",
                    "principal": "$1,333.44"
                  }
                }
              }
            }
          }
        ],
        "debts_net_rate": {
          "apr": "0.107428449999999999",
          "apy": "0.113411189999999999",
          "extra": {
            "text": {
              "apy": "11.34%",
              "apr": "10.74%"
            }
          }
        }
      }
    },
    "lend": {
      "asset_pools": [
        {
          "asset_info": {
            "asset": {
              "id": "native;inj",
              "group": "native",
              "group_key": "inj"
            },
            "metadata": {
              "name": "Injective",
              "symbol": "INJ",
              "symbol_denom": "inj",
              "decimals_denom": 18,
              "decimals_display": 4
            },
            "classification": {
              "kind": "regular",
              "neptune_receipt_asset": {
                "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                "group": "token",
                "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
              }
            }
          },
          "market_rate": {
            "apr": "0.28352819",
            "apy": "0.32780631",
            "extra": {
              "text": {
                "apy": "32.78%",
                "apr": "28.35%"
              }
            }
          },
          "receipt_amounts": {
            "held": "503392454790765643939",
            "collateralized": "63652103341334203700",
            "total": "567044558132099847639",
            "extra": {
              "text": {
                "total": "567.0445 nINJ",
                "held": "503.3924 nINJ",
                "collateralized": "63.6521 nINJ"
              },
              "value": {
                "held": "1623.155947024350227118",
                "collateralized": "205.242031531916407303",
                "price": "3.224434398205298254",
                "total": "1828.397978556266634422",
                "extra": {
                  "text": {
                    "price": "$3.22",
                    "collateralized": "$205.24",
                    "held": "$1,623.15",
                    "total": "$1,828.39"
                  }
                }
              }
            }
          },
          "origin_equivalent": {
            "held": "539899466414371690487",
            "collateralized": "68268279158897706162",
            "total": "608167745573269396650",
            "extra": {
              "text": {
                "total": "608.1677 INJ",
                "collateralized": "68.2682 INJ",
                "held": "539.8994 INJ"
              }
            }
          }
        }
      ],
      "net_rate": {
        "apr": "0.283528189999999999",
        "apy": "0.327806309999999999",
        "extra": {
          "text": {
            "apy": "32.78%",
            "apr": "28.35%"
          }
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "borrow": {
      "accounts": [
        {
          "index": 0,
          "collaterals": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "amount": "920380558505833997007",
              "extra": {
                "text": {
                  "amount": "920.3805 INJ"
                },
                "value": {
                  "price": "2.99835",
                  "amount": "2759.623047595967364925",
                  "extra": {
                    "text": {
                      "amount": "$2,759.62",
                      "price": "$2.99"
                    }
                  }
                }
              }
            }
          ],
          "debts": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "market_rate": {
                "apr": "0.10742845",
                "apy": "0.11341119",
                "extra": {
                  "text": {
                    "apy": "11.34%",
                    "apr": "10.74%"
                  }
                }
              },
              "principal": "444725506597269050309",
              "shares": "444725506597269050309",
              "extra": {
                "text": {
                  "principal": "444.7255 INJ",
                  "shares": "444.7255 INJ"
                },
                "value": {
                  "shares": "1333.442722705921656993",
                  "price": "2.99835",
                  "principal": "1333.442722705921656993",
                  "extra": {
                    "text": {
                      "shares": "$1,333.44",
                      "price": "$2.99",
                      "principal": "$1,333.44"
                    }
                  }
                }
              }
            }
          ],
          "debts_net_rate": {
            "apr": "0.107428449999999999",
            "apy": "0.113411189999999999",
            "extra": {
              "text": {
                "apy": "11.34%",
                "apr": "10.74%"
              }
            }
          },
          "health": {
            "base": "3.56",
            "boost": "1",
            "result": "3.56",
            "extra": {
              "text": {
                "base": "3.56",
                "boost": "0.00%",
                "result": "3.56"
              }
            }
          }
        }
      ],
      "totals": {
        "collaterals": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "amount": "920380558505833997007",
            "extra": {
              "text": {
                "amount": "920.3805 INJ"
              },
              "value": {
                "price": "2.99835",
                "amount": "2759.623047595967364925",
                "extra": {
                  "text": {
                    "amount": "$2,759.62",
                    "price": "$2.99"
                  }
                }
              }
            }
          }
        ],
        "debts": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "market_rate": {
              "apr": "0.10742845",
              "apy": "0.11341119",
              "extra": {
                "text": {
                  "apy": "11.34%",
                  "apr": "10.74%"
                }
              }
            },
            "principal": "444725506597269050309",
            "shares": "444725506597269050309",
            "extra": {
              "text": {
                "principal": "444.7255 INJ",
                "shares": "444.7255 INJ"
              },
              "value": {
                "shares": "1333.442722705921656993",
                "price": "2.99835",
                "principal": "1333.442722705921656993",
                "extra": {
                  "text": {
                    "shares": "$1,333.44",
                    "price": "$2.99",
                    "principal": "$1,333.44"
                  }
                }
              }
            }
          }
        ],
        "debts_net_rate": {
          "apr": "0.107428449999999999",
          "apy": "0.113411189999999999",
          "extra": {
            "text": {
              "apy": "11.34%",
              "apr": "10.74%"
            }
          }
        }
      }
    },
    "lend": {
      "asset_pools": [
        {
          "asset_info": {
            "asset": {
              "id": "native;inj",
              "group": "native",
              "group_key": "inj"
            },
            "metadata": {
              "name": "Injective",
              "symbol": "INJ",
              "symbol_denom": "inj",
              "decimals_denom": 18,
              "decimals_display": 4
            },
            "classification": {
              "kind": "regular",
              "neptune_receipt_asset": {
                "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                "group": "token",
                "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
              }
            }
          },
          "market_rate": {
            "apr": "0.28352819",
            "apy": "0.32780631",
            "extra": {
              "text": {
                "apy": "32.78%",
                "apr": "28.35%"
              }
            }
          },
          "receipt_amounts": {
            "held": "503392454790765643939",
            "collateralized": "63652103341334203700",
            "total": "567044558132099847639",
            "extra": {
              "text": {
                "total": "567.0445 nINJ",
                "held": "503.3924 nINJ",
                "collateralized": "63.6521 nINJ"
              },
              "value": {
                "held": "1623.155947024350227118",
                "collateralized": "205.242031531916407303",
                "price": "3.224434398205298254",
                "total": "1828.397978556266634422",
                "extra": {
                  "text": {
                    "price": "$3.22",
                    "collateralized": "$205.24",
                    "held": "$1,623.15",
                    "total": "$1,828.39"
                  }
                }
              }
            }
          },
          "origin_equivalent": {
            "held": "539899466414371690487",
            "collateralized": "68268279158897706162",
            "total": "608167745573269396650",
            "extra": {
              "text": {
                "total": "608.1677 INJ",
                "collateralized": "68.2682 INJ",
                "held": "539.8994 INJ"
              }
            }
          }
        }
      ],
      "net_rate": {
        "apr": "0.283528189999999999",
        "apy": "0.327806309999999999",
        "extra": {
          "text": {
            "apy": "32.78%",
            "apr": "28.35%"
          }
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}